Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Höhentext anpassen an Plotmaßstab

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Höhentext anpassen an Plotmaßstab (1995 mal gelesen)
Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 24. Jan. 2013 21:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich bitte um einen Hinweis:
wie kann ich es erreichen das mein Höhentext im Lageplan immer die Richtige größe zum Ausgabe Maßstab
hat. Bei 1/250 ist die Zahl zu groß und bei 1/1000 zu klein. Die Beschriftung wird über eine Bemaßung erzeugt
welche über eine LSP aufgerufen wird. Bis jetzt habe ich über zwei unterschiedliche Schriftgrößen versucht es zu steuern.
Wenn ich aber dann doch noch einen Plan in in 1/200 ausgeben muss kann ichn alles wieder vekleinern.
Es muss doch automatisch gehen, oder?
Gibt es dazu im Forum eine Erläuterung?

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 25. Jan. 2013 05:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Probier mal ob Dir ein Bemaßungsstil weiterhilft, bei dem in der Registerkarte "Einpassen" unter Skalierung für Bemaßungen der Eintrag "Bemaßungen mit Layout skalieren" aktiviert ist (oder den globalen Skalierfaktor auf 0 setzen). Beschriftungsobjekte kennt AutoCAD 2005 ja leider noch nicht.

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Entsorger01
Moderator
Techniker




Sehen Sie sich das Profil von Entsorger01 an!   Senden Sie eine Private Message an Entsorger01  Schreiben Sie einen Gästebucheintrag für Entsorger01

Beiträge: 3165
Registriert: 07.07.2006

ACAD 2014 - SP1
VPstudio (Raster)
Acrobat Prof. X
Photoshop CS6
Win7

erstellt am: 25. Jan. 2013 06:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Falls allerdings nur der Eintrag in deiner Systeminfo veraltet sein sollte oder ein anderer Hilfesuchende über die Forensuche auf diesen Beitrag stösst:

FAQ-Beitrag zum Thema Annotation Scaling = Beschriftungsobjekte

------------------
Gruß

Michi

"Es ist schon alles gesagt, nur noch nicht von allen." (Karl Valentin)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 31. Jan. 2013 14:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke für die Hinweise , bin leider mit meiner 2005 Version nicht zum Erfolg gekommen.
Habe eine alte LSP aufgetriebe welche ich gern nutzen möchte. Wäre schön es könnte mir jemand weiter helfen diese zu laufen zu bringen.
Es müßten die Mtexte auf dem vorgegenen LAyer alle markiert und dann in der Höhe geändet werden, wenn ich alle einzeln anklicke ist es zu umständlich.
Kann mir jemand die Auswahl  anpassen das es läuft?

(defun c:HOEHENEU (/ aws txh txb n index ent txaws oldsize newsize ent)
  (command "_undo" "m")(terpri)(terpri)
  (defun *error* (msg)(princ))
  (setvar "cmdecho" 0)
    (command "-LAYER" "se" "02-Höhetxt" "")
;;  (princ "\nFür Änderung von Text-Höhen die ")
;;  (setq aws (ssget (list (cons -4 "<or")
;;                        (cons  0 "TEXT")
;;                        (cons  0 "MTEXT")
?????  (SETQ aws (SSGET "X" '((cons 0 . "MTEXT")(8 . "02-Höhetxt")))) ????
;;                        (cons  0 "DIMENSION")
;;                        (cons  0 "ATTDEF")
;;                        (cons -4 "or>")
  ) ) )
  (setq n (sslength aws))
;; (setq txh (getdist "\nGeben Sie den neue Texthöhe ein: "))
  (setq txh 2.0 )                            ;; feste Höhe 2.0
  (setq index 0)
  (repeat n
    (setq ent (entget (ssname aws index)))
    (setq index (+ 1 index))
    (setq txaws (assoc 0 ent))
    (setq ent (subst (cons 40 txh) (assoc 40 ent) ent))
    (entmod ent)
  )
  (princ)
  )

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 31. Jan. 2013 16:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Wozu brauchst da eine LISP?
Schnellauswahl
alles auf dem Layer suchen
dann alle MTEXTE auf dem Layer(diese Auswahl)
Höhe ändern

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 31. Jan. 2013 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

... noch schneller:
gleich
Objekttyp: MText
Eigenschaften: Layer und entsprechenden Layer auswählen

Höhen ändern.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 01. Feb. 2013 09:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

kann ich diese Schnellauswahl auch über einen Buttonbefehl gleich so erreichen das ich gleich an der richtigen Stelle bin um nur noch die Höhe zu ändern?
Alle die Fragen wieso eine LSP bitte ich folgendes zu bedenken:
Für mich, der alle 4 Wochen wiedermal vor ACAD sitzt und ziwschendurch mit fünf anderen genau so wichtigen und Programmen beschäftigt ist , ist es immer wieder ein Überlegungsakt sich einzufitzen. Der Kopf läuft über und man wird nicht jünger. Da war doch irgendwo so ein schneller Befehl, wie war das doch gleich? Ach ja , oder doch im anderen Programm? Also Unterlagen rausholen und nachlesen. Und der Chef runzelt mit der Stirn!
Wenn ich also auf Nummer sicher gehen kann ist es mir mit einem Button oder einer LSP lieber, weil ich da keine Fehler an dieser Stelle und in diesem Moment machen kann.
Ich danke allen für die Hilfe.

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 01. Feb. 2013 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Da musst Dir aber auch über die 4 Wochen hinweg das Knöpfchen oder den Lispnamen merken. Und Du wirst nicht immer den gleichen Layernamen oder die gleiche gewünschte Texthöhe haben. Spiel dich mal ein wenig mit der Schnellauswahl und Du wirst merken - für immer - wieviel man damit machen kann. Der Chef wird das gar nicht merken, nur am Ergebnis.
Und der Vorschlag von spider_dd ist natürlich besser, da hab ich bei meiner Antwort ein wenig geschlafen   

EDIT: ein Chef, der die Stirn runzelt, weil ein Mitarbeiter nicht so schnell ist, wie er sich das vorstellt, obwohl er keine Routine haben kann in einem doch sehr komplexen Programm ist bestenfalls ein Abteilungsleiter oder ein Geschäftsführer, aber sicher kein Chef. Zum Chef sein gehört mehr als zugewiesene Macht! Er ist nur im Sinne des Wortes ein 'Vorgesetzter'  und erfüllt wahrscheinlich das Peter-Prinzip --> http://de.wikipedia.org/wiki/Peter-Prinzip

[Diese Nachricht wurde von cad4fun am 01. Feb. 2013 editiert.]

[Diese Nachricht wurde von cad4fun am 01. Feb. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 02. Feb. 2013 21:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke für die Hinweise. Ich weiß ich bin hier nicht bei "wünsch dir was" gebe aber nicht auf mit der bitte mir doch die lsp
hier so zu ergänzen das nur auf dem richtigen layer die Mtxt gewählt werden,  momentan werden leider alle ausgewählt.
Hab schon was rumprobiert leider ohne Erfolg.
Wäre schön es könnte jemand helfen falls es nur ein kleiner Eintrag ist.
Das mit der Schnellauswahl über Objekt gibt es bei mir nicht oder ich hab es nicht gefunden.
Die Schnellauswahl geht nur wenn ich alle anderen Layer abschlalte und dann die Mtxt aussuche.
Da gleiche MTxt auch auf ähnlichen Layer vorhanden sind muss ich sehr aufpassen.
Das mit dem Chef ist ein guter Rat den ich als Neuer besser für mich behalte sonst ist der 28. der letzte.
;******************************************************************************
;Änderung von TEXTEN auf eine gewünschte, gleiche TEXTHöHE
;******************************************************************************
(defun c:HOEHE (/ aws txh txb n index ent txaws oldsize newsize ent)
  (command "_undo" "m")(terpri)(terpri)
  (defun *error* (msg)(princ))
  (setvar "cmdecho" 0)
  (princ "\nFür Änderung von Text-Höhen die ")
    (command "-LAYER" "se" "02-Höhetxt" "")
          (setq aws (ssget "X"  (list
                      (cons -4 "<or")
;;                          (cons  0 "TEXT")
                      (cons 0 "MTEXT" )                ;;; !!!!! nur auf layer (8 . "02-Höhetxt")
;;                          (cons  0 "DIMENSION")
;;                          (cons  0 "ATTDEF")
                      (cons -4 "or>")    ) ) )
  (setq n (sslength aws))
(setq txh (getdist "\nGeben Sie den neue Texthöhe ein: "))
;;  (setq txh 2.0 )                            ;; falls feste Höhe 2.0
  (setq index 0)
  (repeat n
    (setq ent (entget (ssname aws index)))
    (setq index (+ 1 index))
    (setq txaws (assoc 0 ent))
    (setq ent (subst (cons 40 txh) (assoc 40 ent) ent))
    (entmod ent)
  )
  (princ)
  )

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 03. Feb. 2013 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Probier mal das:

;Änderung von TEXTEN auf eine gewünschte, gleiche TEXTHöHE
;****************************************************************************
(defun c:HOEHE (/ aws txh txb n index ent txaws oldsize newsize ent)
  (command "_undo" "m")
  (terpri)
  (terpri)
  (defun *error* (msg) (princ))
  (setvar "cmdecho" 0)
  (princ "\nFür Änderung von MText-Höhen auf Layer 02-Höhetxt"
  )
  (setq aws (ssget "X" '((8 . "02-höhetxt") (0 . "mtext"))))
  (setq n (sslength aws))
  (setq txh (getdist "\nGeben Sie den neue Texthöhe ein: "))
  ;;  (setq txh 2.0 )                            ;; falls feste Höhe 2.0
  (setq index 0)
  (repeat n
    (setq ent (entget (ssname aws index)))
    (setq index (+ 1 index))
    (setq txaws (assoc 0 ent))
    (setq ent (subst (cons 40 txh) (assoc 40 ent) ent))
    (entmod ent)
  )
  (princ)
)

Habe nur so weit umgeschrieben, daß die von Dir gewünschte Funktionalität erreicht wird.

HTH
Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 03. Feb. 2013 21:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bauvermesser:

Das mit der Schnellauswahl über Objekt gibt es bei mir nicht oder ich hab es nicht gefunden.

Das mit dem Chef ist ein guter Rat den ich als Neuer besser für mich behalte sonst ist der 28. der letzte.


Also dann suchen wir mal geneinsam
Objekttyp Mtext markieren
Eigenschaften Layer markieren
Operator Gleich
Wert 02_HÖHETXT markieren
und jetzt hast alle MTEXTe auf diesem Layer markiert

Und wenn Du jetzt z.B. 2 verschiedene Höhen auf diesem Layer hast, dann machst in der aktuellen Auswahl eine neue Suche - wonach findest jetzt schon selbst heraus - und es werden dann alle MTEXTe, welche dieser Auswahl nicht entsprechen, abmarkiert.
Einmal gemacht und Du vergisst es nie wieder.
Und das mit dem Chef war ja nur ein Hinweis auf da Peter-Prinzip. Les es Dir mal durch und du wirst vermutlich alle Deine vergangenen Chefs wiederfinden.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 04. Feb. 2013 22:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

jetzt hab ich es mit der Schnellauswahl auch hinbekommen, Danke
Werde trotzdem die lsp benutzen da schneller und einfacher zu merken, danke für das Ergänzen der lsp!
Habe beim stöbern im Forum mitbekommen da gibts es ja den befehl "_SKALTEXT"
allerdings scheints es auch hier mit den "" und )) etwas verzwickt zu sein
^C^C(command "_SKALTEXT"  (ssget "_x" '((0 . "MTXT")(8 . "02-Höhetxt"))) "" )
denn es geht nicht??? Warum?

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 05. Feb. 2013 06:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bauvermesser 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bauvermesser:

^C^C(command "_SKALTEXT"  (ssget "_x" '((0 . "MTXT")(8 . "02-Höhetxt"))) "" )
... geht nicht

Vielleicht weil da ein "E" fehlt? (in "MTEXT")

Und außerdem: Entweder schreibt man nach (command "...") den deutschen Befehlsnamen ("SKALTEXT") oder (besser) mit führendem Unterstrich den englischen ("_SCALETEXT"). Den deutschen Befehlsnamen mit Unterstrich versehen klappt zwar manchmal, ist aber irreführend und fehleranfällig.

Jürgen

[Diese Nachricht wurde von jupa am 05. Feb. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bauvermesser
Mitglied
Vermesser


Sehen Sie sich das Profil von Bauvermesser an!   Senden Sie eine Private Message an Bauvermesser  Schreiben Sie einen Gästebucheintrag für Bauvermesser

Beiträge: 435
Registriert: 18.03.2006

AMD 2600, 2024RAM ,WIN XP PROF-SP3, ACAD 2005, Firmenrechner, keine Adminrecht

erstellt am: 04. Feb. 2014 19:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

auf Grund einer Nachfrage zu dieser LSP setze ich diese hier nochmal so rein wie diese bei mir läuft
ACAD 2005!!
Sicherlich gibt es bessere moderne Mittel gleich den Text beim Plotten in der Größe dem entsprechenden Maßstab anzupassen. Es ist jedoch auch bei kostanter Maßstabsanpassung immer mit der Übersichtlichkeit so ein Problem. Darum diese kleine LSP . Über einen Faktor kann ich auch nicht Maßstabsübliche Höhenbeschriftung für einen Plan erzeugen. Der Layer '02-höhentxt' kann auch anders benannt werden, die zu änderten Höhen müssen aber auf diesem jeweiligen layer liegen.
Da der Höhentext bei mir an einer Führung hängt ist es gut das diese sich mit anpasst.
;;  ;Änderung von TEXTEN auf eine gewünschte, gleiche TEXTHöHE
;;  Auswahl alle auf Layer  - 02-höhetxt
;;  ;****************************************************************************
(defun c:Text-Hoehen (/ aws txh txb n index ent txaws oldsize newsize ent)
    (command "_undo" "m")
    (terpri)
      (terpri)
      (defun *error* (msg) (princ))
        (setvar "cmdecho" 0)
(prompt
  "\n  Programm zum Vergößern o.Verkleinern aller Höhen nur auf Layer ->  02-HöheTXT  "
  ) ;_ end of prompt

  (princ "\n  -empfohlene Änderung Beschriftung Punkthöhe für  1/500=0.85  oder  1/250=0.6"

  )
      (setq aws (ssget "X" '((8 . "02-höhetxt") (0 . "mtext"))))  ;; Layer benennen
          (setq n (sslength aws))

      (setq txh (getdist "\nGeben Sie den neue Texthöhe ein: "))
;;        (setq txh 2.0 )                        ;; falls feste Höhe 2.0
          (setq index 0)                          ;; Text-Höhenvorgabe frei Eingabe

      (repeat n
            (setq ent (entget (ssname aws index)))
            (setq index (+ 1 index))
            (setq txaws (assoc 0 ent))
            (setq ent (subst (cons 40 txh) (assoc 40 ent) ent))
            (entmod ent)
  )
  (princ)
)

------------------
Gruß vom Bauvermesser;

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz